Suggest angles for a recipe
curl --request POST \
--url https://makelocalads.com/api/v1/campaign-angles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "a1516a75-9be5-461a-93af-c1896a0a3127",
"blueprint_id": "viral-pattern-interrupt"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product_id: 'a1516a75-9be5-461a-93af-c1896a0a3127',
blueprint_id: 'viral-pattern-interrupt'
})
};
fetch('https://makelocalads.com/api/v1/campaign-angles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/campaign-angles"
payload = {
"product_id": "a1516a75-9be5-461a-93af-c1896a0a3127",
"blueprint_id": "viral-pattern-interrupt"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"angles": [
"Setup takes half the time",
"The gift that looks handmade"
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}API Reference
Suggest angles for a recipe
Returns the angle suggestions the campaign creator shows for one recipe, optionally for one audience. Pass any of them as angles when creating a campaign. Free.
POST
/
campaign-angles
Suggest angles for a recipe
curl --request POST \
--url https://makelocalads.com/api/v1/campaign-angles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "a1516a75-9be5-461a-93af-c1896a0a3127",
"blueprint_id": "viral-pattern-interrupt"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product_id: 'a1516a75-9be5-461a-93af-c1896a0a3127',
blueprint_id: 'viral-pattern-interrupt'
})
};
fetch('https://makelocalads.com/api/v1/campaign-angles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/campaign-angles"
payload = {
"product_id": "a1516a75-9be5-461a-93af-c1896a0a3127",
"blueprint_id": "viral-pattern-interrupt"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"angles": [
"Setup takes half the time",
"The gift that looks handmade"
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}Last modified on September 30, 2026